Program PasswordGenerator;
uses strings;
Var pass:string;
    n,i:longint;
    stroca:PChar;
    k:word;
Begin
Randomize;
pass:='';
stroca:='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
Writeln('Введите количество символов в пароле');
Readln(n);
for i:=1 to n+1 do
    begin
    k:=Random(StrLen(stroca));
    pass[i-1]:=stroca[k];
    end;
Writeln('Ваш пароль:',pass);
Readln;
end.